Bug 832265 - Fails to build when linking with libboost_locale
Fails to build when linking with libboost_locale
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 23:17 EDT by Florent Le Coz
Modified: 2015-05-04 21:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 23:41:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Florent Le Coz 2012-06-14 23:17:08 EDT
When trying to compile some c++ code linked with the boost_locale library, it fails with the following error:

% cat test.cpp
int main() { return 0; }          
% g++ test.cpp -lboost_locale -o test 
/usr/lib/gcc/x86_64-redhat-linux/4.7.0/../../../../lib64/libboost_locale.so: undefined reference to `boost::locale::impl_icu::create_localization_backend()'  
/usr/lib/gcc/x86_64-redhat-linux/4.7.0/../../../../lib64/libboost_locale.so: undefined reference to `boost::locale::impl_posix::create_localization_backend()'
/usr/lib/gcc/x86_64-redhat-linux/4.7.0/../../../../lib64/libboost_locale.so: undefined reference to `boost::locale::impl_win::create_localization_backend()'  
/usr/lib/gcc/x86_64-redhat-linux/4.7.0/../../../../lib64/libboost_locale.so: undefined reference to `boost::locale::impl_std::create_localization_backend()'  
collect2: error: ld returned 1 exit status  

It does the same with -lboost_locale-fmt.
Compiling with any other boost library, instead of boost_locale, works as expected.


Version-Release number of selected component (if applicable):
boost-locale-1.48.0-11.fc17.x86_64
boost-devel-1.48.0-11.fc17.x86_64
boost-1.48.0-11.fc17.x86_64

How reproducible:
Always.


Actual results:
Does not compile.

Expected results:
Should compile without any error.
Comment 1 Petr Machata 2012-06-21 13:14:19 EDT
It seems like we neglect to include some files when building the locale library.  I think we should also force in -DBOOST_LOCALE_NO_WINAPI_BACKEND.
Comment 2 Fedora Update System 2012-06-21 17:51:27 EDT
boost-1.48.0-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/boost-1.48.0-13.fc17
Comment 3 Fedora Update System 2012-06-22 14:55:10 EDT
Package boost-1.48.0-13.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing boost-1.48.0-13.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9818/boost-1.48.0-13.fc17
then log in and leave karma (feedback).
Comment 4 Florent Le Coz 2012-06-22 15:19:08 EDT
That update solves the issue. Thank you very much.
Comment 5 Fedora Update System 2012-06-27 23:41:43 EDT
boost-1.48.0-13.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.